## golang-github-naoina-toml 0.1.0

=== Makefile ===
GO = go
PEG = peg

.SUFFIXES: .peg .peg.go

.PHONY: all test clean
all: parse.peg.go

.peg.peg.go:
	$(PEG) -switch -inline $<

test: all
	$(GO) test ./...

clean:
	$(RM) *.peg.go

## golang-github-naoina-toml 0.0~git20170709.5811abc

=== debian/changelog ===
golang-github-naoina-toml (0.0~git20170709.5811abc-1) unstable; urgency=low

  * Initial release. (Closes: #793750)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Sun, 26 Jul 2015 23:55:08 -0400

=== debian/control ===
Source: golang-github-naoina-toml
Section: devel
Priority: extra
Homepage: https://github.com/naoina/toml
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-naoina-go-stringutil-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-naoina-toml.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-github-naoina-toml.git

Package: golang-github-naoina-toml-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-naoina-go-stringutil-dev
Description: TOML parser and encoder library for Golang
 TOML v0.4.0 compatible parser and encoder lirary for Golang.
 The TOML package also contains a Marshaler interface, which can
 be implemented by objects that can marshal themselves into valid
 TOML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TMP     = $(CURDIR)/debian/$(PACKAGE)

export DH_GOPKG := github.com/naoina/toml
export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	rm --verbose $(TMP)/*/usr/share/gocode/src/github.com/naoina/toml/LICENSE
	rm --verbose $(TMP)/*/usr/share/gocode/src/github.com/naoina/toml/Makefile
	rm --verbose $(TMP)/*/usr/share/gocode/src/github.com/naoina/toml/README.md
	rm --verbose $(TMP)/*/usr/share/gocode/src/github.com/naoina/toml/.travis.yml

## golang-github-naoina-toml 0.1.0

=== debian/changelog ===
golang-github-naoina-toml (0.1.0-2) unstable; urgency=medium

  * Generate our own parse.peg.go (Closes: #840767)
  * Bump Standards-Version to 3.9.8

 -- Alexandre Viau <aviau@debian.org>  Mon, 17 Oct 2016 10:50:07 -0400

golang-github-naoina-toml (0.1.0-1) unstable; urgency=medium

  * New upstream version
  * changed my email to @debian.org
  * Bumped Sandards-Version to 3.9.7
  * Changed Vcs-Git and Vcs-Browser to secure (https) urls
  * Make use of DH_GOPKG in d/rules

 -- Alexandre Viau <aviau@debian.org>  Tue, 29 Mar 2016 10:13:10 -0400

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: extra
 Homepage: https://github.com/naoina/toml
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
+Uploaders: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,
-               golang-github-naoina-go-stringutil-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-naoina-toml.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-github-naoina-toml.git
+               golang-github-naoina-go-stringutil-dev,
+               peg-go
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-naoina-toml.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-naoina-toml.git
 
 Package: golang-github-naoina-toml-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TMP     = $(CURDIR)/debian/$(PACKAGE)

export DH_GOPKG := github.com/naoina/toml
export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_install:
	dh_auto_install
	rm --verbose $(TMP)/*/usr/share/gocode/src/$(DH_GOPKG)/LICENSE
	rm --verbose $(TMP)/*/usr/share/gocode/src/$(DH_GOPKG)/Makefile
	rm --verbose $(TMP)/*/usr/share/gocode/src/$(DH_GOPKG)/README.md
	rm --verbose $(TMP)/*/usr/share/gocode/src/$(DH_GOPKG)/.travis.yml

override_dh_auto_configure:
	dh_auto_configure
	# generate our own parse.peg.go
	rm _build/src/$(DH_GOPKG)/parse.peg.go
	peg-go -inline -switch _build/src/$(DH_GOPKG)/parse.peg

## golang-github-naoina-toml 0.1.1

=== debian/changelog ===
golang-github-naoina-toml (0.1.1-4) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:26:34 -0500

golang-github-naoina-toml (0.1.1-3) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 16:12:08 -0500

golang-github-naoina-toml (0.1.1-2) unstable; urgency=medium

  * Move to salsa.debian.org.
  * Priority extra -> optional.
  * Use XS-Go-Import-Path.

 -- Alexandre Viau <aviau@debian.org>  Sat, 30 Dec 2017 01:17:38 -0500

golang-github-naoina-toml (0.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Set Testsuite to autopkgtest-pkg-go.
  * Bump Standards-Version to 4.0.0.
  * Remove unneeded patch.
  * Depend on golang-github-kylelemons-godebug-dev.
  * d/rules: No longer use DH_GOLANG_INSTALL_ALL.

 -- Alexandre Viau <aviau@debian.org>  Wed, 02 Aug 2017 18:07:37 -0400

=== debian/control ===
Source: golang-github-naoina-toml
Section: devel
Priority: optional
Homepage: https://github.com/naoina/toml
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-naoina-go-stringutil-dev,
               golang-github-kylelemons-godebug-dev,
               peg-go
Standards-Version: 4.0.0
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-naoina-toml.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-naoina-toml
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/naoina/toml

Package: golang-github-naoina-toml-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-naoina-go-stringutil-dev,
         golang-github-kylelemons-godebug-dev
Description: TOML parser and encoder library for Golang
 TOML v0.4.0 compatible parser and encoder lirary for Golang.
 The TOML package also contains a Marshaler interface, which can
 be implemented by objects that can marshal themselves into valid
 TOML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_GOLANG_INSTALL_EXTRA := parse.peg testdata

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure
	# generate our own parse.peg.go
	rm _build/src/github.com/naoina/toml/parse.peg.go
	peg-go -inline -switch _build/src/github.com/naoina/toml/parse.peg

=== debian/watch ===
version=3
https://github.com/naoina/toml/releases .*/v?(\d\S*)\.tar\.gz
